Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Subnet

GET
/network/v1/workspaces/{workspace}/engines/qibdo/vpcs/{vpc}/subnets/{id}
curl --request GET \
--url https://example.com/network/v1/workspaces/example/engines/qibdo/vpcs/example/subnets/example

Returns a subnet by unique ID within a VPC.

workspace
required
string
vpc
required
string
id
required
string

OK

Media type application/json

QibdoSubnet — an OVN-backed subdivision of a VPC’s IP address space.

object
id

Unique identifier for this subnet.

stringOutput only
vpc_id

The VPC that this subnet belongs to.

stringOutput only
location_id
required

The zone this subnet is placed in. The zone must belong to the parent VPC’s region; a VPC’s subnets may span multiple zones for fault tolerance.

string
name
required

The display name of the subnet.

string
description

An optional human-readable description of the subnet.

string
cidr
required

The CIDR block that defines the IP address range for this subnet. Must be a subset of the parent VPC’s CIDR.

object
address
string
prefix
integer format: uint32
gateway_ip

The gateway IP address for this subnet. If omitted on creation, the system automatically derives the gateway from the CIDR block.

object
address
string
prefix
integer format: uint32
provider_resource_id

OVN-assigned subnet identifier. Populated once OVN provisions the subnet.

stringOutput only
created

When this subnet was created.

string format: date-time Output only
updated

When this subnet was last updated.

string format: date-time Output only
Example generated
{
"location_id": "example",
"name": "example",
"description": "example",
"cidr": {
"address": "example",
"prefix": 1
},
"gateway_ip": {
"address": "example",
"prefix": 1
}
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}